LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Slackware (http://www.linuxquestions.org/questions/slackware-14/)
-   -   cryptsetup problem on -current (http://www.linuxquestions.org/questions/slackware-14/cryptsetup-problem-on-current-805659/)

BCarey 05-03-2010 10:28 AM

cryptsetup problem on -current
 
So I couldn't wait any longer and decided to install current (I've been struggling with BT a bit lately so the updates yesterday were the proverbial straw).

However, Running cryptsetup from the install disk (current as of May 2) gave an error about "Too many levels of symbolic links".

Inspecting /sbin/cryptsetup shows it to be a symbolic link to
Code:

../../sbin/cryptsetup
, which is clearly wrong. I notice that cryptsetup was moved to a new location in the May 1 updates. Perhaps this introduced the problem?

Brian

Alien Bob 05-03-2010 10:34 AM

Oops... indeed. That should be fixed.

Eric

BCarey 05-03-2010 10:36 AM

Thanks.

Alien Bob 05-03-2010 11:07 AM

Fix committed, the wait is for Pat Volkerding to wake up.

Eric

BCarey 05-06-2010 09:43 AM

As of the May 5 update, cryptsetup runs but fails to find the libgpg and libgcrypt. Installing these two packages into the setup environment solves the problem.

Brian

Alien Bob 05-06-2010 03:45 PM

Yes, I see that the 32-bit initrd.gz is missing those libraries, but the 64-bit version is OK.
Reported and will be fixed ASAP, thanks.

Eric


All times are GMT -5. The time now is 11:53 PM.